배송 정보 조회
curl --request GET \
--url https://api.steppay.kr/api/v1/delivery/orders/{orderIdOrCode} \
--header 'Secret-Token: <api-key>'import requests
url = "https://api.steppay.kr/api/v1/delivery/orders/{orderIdOrCode}"
headers = {"Secret-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Secret-Token': '<api-key>'}};
fetch('https://api.steppay.kr/api/v1/delivery/orders/{orderIdOrCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"deliveryCharge": 123,
"recipient": {
"name": "<string>",
"phone": "<string>",
"postcode": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"deliveryItemList": [
{
"orderItemCode": "<string>",
"movedTo": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"tracking": {
"trackingNumber": "<string>",
"message": "<string>",
"departedAt": "2023-11-07T05:31:56Z",
"arrivedAt": "2023-11-07T05:31:56Z"
}
}
]{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}주문 API
배송 정보 조회
주문의 배송 정보가 조회됩니다.
GET
/
api
/
v1
/
delivery
/
orders
/
{orderIdOrCode}
배송 정보 조회
Authorizations
Path Parameters
Response
OK
Available options:
ORDER, EXCHANGE_COLLECTION, EXCHANGE_DELIVERY, EXCHANGE_REJECTED, RETURN_COLLECTION, RETURN_REJECTED Available options:
TO_BUYER, TO_SELLER Available options:
PREPARING, SUSPENDED, ON_THE_WAY, COMPLETED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I